Skip to main content
GET
/
v1
/
order_activities
List order activities
curl --request GET \
  --url https://api.ongoody.com/v1/order_activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "d06641f3-0ac8-4a0b-9a6a-77ceb2c1f627",
      "order_status": "opened",
      "created_at": "2026-03-26T17:02:37Z",
      "order": {
        "id": "c2266470-82ff-4973-9bff-9b8deeb72ae8",
        "status": "opened",
        "individual_gift_link": "https://gifts.ongoody.com/gift/KZURI1KM1VICBNUDEUZF3UTQ",
        "recipient_first_name": "Recipient",
        "recipient_last_name": "Smith",
        "recipient_email": null,
        "card_id": "a1c3d84e-8eff-4069-a1bc-086b5783410c",
        "message": "Test Message",
        "thank_you_note": null,
        "view_count_recipient": 0,
        "is_swapped": false,
        "order_batch_id": "499c2f9d-db3b-406f-aa5f-65e275d7fb13",
        "expires_at": null,
        "cart": {
          "id": "223dab9d-1647-4804-9d4b-66a567e71335",
          "items": [
            {
              "id": "7de1edf9-5915-4960-9ed0-9a5a149c5bbd",
              "quantity": 1,
              "product": {
                "id": "ad521632-7340-4f82-b2c0-8a4f83d07bb2",
                "name": "Cookies",
                "brand": {
                  "id": "92175b69-2407-47b1-9424-decaeba8cc82",
                  "name": "Cookie Company"
                }
              }
            }
          ]
        },
        "shipments": [],
        "amounts": {
          "amount_product": 0,
          "amount_shipping": 0,
          "amount_processing_fee": 0,
          "amount_pre_tax_total": 0,
          "amount_tax": null,
          "amount_total": null,
          "amount_global_relay_cost": null
        },
        "sender": {
          "first_name": "Test",
          "last_name": "User",
          "email": "15555129630@test.ongoody.com"
        },
        "workspace_id": "3e967bb7-00ac-4cc7-aba2-3958b247c070",
        "workspace_name": "Test Team",
        "original_cart": null,
        "original_amounts": null,
        "reference_id": "NEF4H6BKDFOKZGAKQR7OKKJH",
        "payment_link": null
      }
    },
    {
      "id": "e5a54550-2f25-4c6d-bfa5-be98060e0e19",
      "order_status": "created",
      "created_at": "2026-03-26T17:02:37Z",
      "order": {
        "id": "c2266470-82ff-4973-9bff-9b8deeb72ae8",
        "status": "opened",
        "individual_gift_link": "https://gifts.ongoody.com/gift/KZURI1KM1VICBNUDEUZF3UTQ",
        "recipient_first_name": "Recipient",
        "recipient_last_name": "Smith",
        "recipient_email": null,
        "card_id": "a1c3d84e-8eff-4069-a1bc-086b5783410c",
        "message": "Test Message",
        "thank_you_note": null,
        "view_count_recipient": 0,
        "is_swapped": false,
        "order_batch_id": "499c2f9d-db3b-406f-aa5f-65e275d7fb13",
        "expires_at": null,
        "cart": {
          "id": "223dab9d-1647-4804-9d4b-66a567e71335",
          "items": [
            {
              "id": "7de1edf9-5915-4960-9ed0-9a5a149c5bbd",
              "quantity": 1,
              "product": {
                "id": "ad521632-7340-4f82-b2c0-8a4f83d07bb2",
                "name": "Cookies",
                "brand": {
                  "id": "92175b69-2407-47b1-9424-decaeba8cc82",
                  "name": "Cookie Company"
                }
              }
            }
          ]
        },
        "shipments": [],
        "amounts": {
          "amount_product": 0,
          "amount_shipping": 0,
          "amount_processing_fee": 0,
          "amount_pre_tax_total": 0,
          "amount_tax": null,
          "amount_total": null,
          "amount_global_relay_cost": null
        },
        "sender": {
          "first_name": "Test",
          "last_name": "User",
          "email": "15555129630@test.ongoody.com"
        },
        "workspace_id": "3e967bb7-00ac-4cc7-aba2-3958b247c070",
        "workspace_name": "Test Team",
        "original_cart": null,
        "original_amounts": null,
        "reference_id": "NEF4H6BKDFOKZGAKQR7OKKJH",
        "payment_link": null
      }
    }
  ],
  "list_meta": {
    "total_count": 2
  }
}

Authorizations

Authorization
string
header
required

Your Goody API key.

Query Parameters

page
integer
default:1

Page for pagination, starting at 1

Required range: x >= 1
per_page
integer
default:20

Items per page for pagination

Required range: 1 <= x <= 100
after
string<date-time> | null

ISO 8601

before
string<date-time> | null

ISO 8601

statuses
string | null

Comma-separated list of statuses to filter by (e.g. "created,opened,shipped")

Response

200 - application/json

Order activities retrieved

data
object[]
list_meta
object